## journey 12.07.1-extras12.04.1

=== debian/changelog ===
journey (12.07.1-extras12.04.1) precise; urgency=low

  * Initial release.

 -- Simon Vermeersch <simonvermeersch@gmail.com>  Sat, 30 Jun 2012 19:27:36 +0200
