=== debian/control ===
Source: journey
Section: python
Priority: extra
Build-Depends: debhelper (>= 8),
 python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10),
 libglib2.0-bin
Maintainer: Simon Vermeersch <simonvermeersch@gmail.com>
Standards-Version: 3.9.3
XS-Python-Version: current

Package: journey
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
 ${python:Depends},
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-launchpad-integration-3.0,
 yelp
Description: Easily write down notes for every day
 Journey allows you to easily take notes on a daily basis, making it the 
 perfect application to use as a diary or a dream journal.
